Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: Stefan Kangas <[email-masked]>
Date: Sat, 29 Feb 2020 19:05:27 +0100

Yuri D'Elia <[email-masked]> writes:

> I'm using a tiling window manager with the GTK+ port of emacs 24. I
> force the emacs frame to take the height of the entire screen.
>
> After resizing, the minibuffer position is not aligned to the bottom of
> the frame, but it's logically aligned to the last full line, leaving an
> un-painted margin at the lower border of the frame (test_before.png).
>
> However, when receiving a FocusIn event (just by cycling focus), emacs
> properly aligns the minibuffer to the bottom, and displays a
> partially-visible line just above the minibuffer (test_after.png).
>
> I realize this is a very minor issue and ignoring size hints is bad(tm),
> but since emacs properly aligns the minibuffer with
> toggle-frame-fullscreen in order to fit the screen it shouldn't be hard
> to fix.
>
>
> In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
>  of 2014-12-09 on gaia, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11604000
> System Description:	Debian GNU/Linux 8.0 (jessie)

I used to see this before running a tiling window manager (XMonad),
but it has gone away sometime in recent years.  I don't think I've
changed anything in my configuration.

Are you still seeing this on a modern version of Emacs?  If I don't
hear back from you within a couple of weeks, I'll just assume that
this is fixed and close this bug as unreproducible.

Best regards,
Stefan Kangas